﻿local _, AskMrRobot = ...
AskMrRobot.L = {};
local L = AskMrRobot.L;

function AskMrRobot.format(fmt, ...)
    local args, order = {...}, {}

    local f = fmt:gsub('%%(%d+)%$', function(i)
        tinsert(order, args[tonumber(i)])
        return '%'
    end)

    return f:format(unpack(order))
end

-- stat strings for e.g. displaying gem/enchant abbreviations
L.AMR_STAT_SHORT_STRINGS = {
    ["Strength"] = "Str",
    ["Agility"] = "Agi",
    ["Intellect"] = "Int",
    ["CriticalStrike"] = "Crit",
    ["Haste"] = "Haste",
    ["Mastery"] = "Mastery",
    ["Multistrike"] = "Multi",
    ["Versatility"] = "Vers",
    ["BonusArmor"] = "Armor",
    ["Spirit"] = "Spirit",
    ["Dodge"] = "Dodge",
    ["Parry"] = "Parry",
    ["MovementSpeed"] = "Speed",
    ["Avoidance"] = "Avoid",
    ["Stamina"] = "Stam",
    ["Armor"] = "Armor",
    ["AttackPower"] = "AP",
    ["SpellPower"] = "SP",
    ["PvpResilience"] = "PvP Res",
    ["PvpPower"] = "PvP Pow",
}

-- AskMrRobot.lua
L.AMR_IMPORT_ERROR_EMPTY = "The data string is empty."
L.AMR_IMPORT_ERROR_FORMAT = "The data string is not in the correct format."
L.AMR_IMPORT_ERROR_VERSION = "The data string is from an old version of the addon.  Please go to the website and generate a new one."
L.AMR_IMPORT_ERROR_CHAR = "The data string is for %s, but you are %s!"
L.AMR_IMPORT_ERROR_RACE = "It looks your race may have changed.  Please go the website and re-optimize."
L.AMR_IMPORT_ERROR_FACTION = "It looks your faction may have changed.  Please go the website and re-optimize."
L.AMR_IMPORT_ERROR_LEVEL = "It looks your level may have changed.  Please go the website and re-optimize."
L.AMR_IMPORT_ERROR_SPEC = "Please change your spec to %s to view this optimization."
L.AMR_IMPORT_ERROR_TALENT = "It looks like your talents may have changed.  Please go the website and re-optimize."
L.AMR_IMPORT_ERROR_GLYPH = "It looks like your glyphs may have changed.  Please go the website and re-optimize."
--SlashCmdList.AMR
L.AMR_SLASH_COMMAND_TEXT_1 = 'Available AskMrRobot slash commands:\n'
L.AMR_SLASH_COMMAND_TEXT_2 = '  /amr show   -- show the main window\n'
L.AMR_SLASH_COMMAND_TEXT_3 = '  /amr hide   -- hide the main window\n'
L.AMR_SLASH_COMMAND_TEXT_4 = '  /amr toggle -- toggle the main window\n'
L.AMR_SLASH_COMMAND_TEXT_5 = '  /amr wipe   -- logs a raid wipe.  Used to ignore events in the fight after this point\n'
L.AMR_SLASH_COMMAND_TEXT_6 = '  /amr unwipe -- undo the last wipe command\n'
L.AMR_SLASH_COMMAND_TEXT_7 = '  /amr export -- export character, bag, and bank data (opens the export copy/paste window)'

--AskMrRobotUi.lua

--createMainMenu
L.AMR_UI_MENU_EXPORT = "Export"
L.AMR_UI_MENU_GEAR = "Load a Gear Set"
L.AMR_UI_MENU_COMBAT_LOG = "Combat Log"
L.AMR_UI_MENU_HELP = "Help"

--validateInput
L.AMR_UI_IMPORT_ERROR_IMPROPER = "Oops, you didn't have proper import text"
L.AMR_UI_IMPORT_ERROR_IMPROPER_GOTO = "Please go back to AskMrRobot.com and grab optimizations for this character"
L.AMR_UI_IMPORT_ERROR_CHARACTER = "Oops, you've imported optimizations for %s"
L.AMR_UI_IMPORT_ERROR_CHARACTER_GOTO = "Please go back to AskMrRobot.com and grab optimizations for this character, who is much better looking anyway!"
L.AMR_UI_IMPORT_ERROR_RACE = "It looks like your race may have changed, which affects the optimizations."
L.AMR_UI_IMPORT_ERROR_RACE_CURRENT = "Right now, Mr. Robot thinks you are a %s"
L.AMR_UI_IMPORT_ERROR_FACTION = "It looks like your faction may have changed."
L.AMR_UI_IMPORT_ERROR_FACTION_CURRENT = "Right now, Mr. Robot thinks you belong to the %s"
L.AMR_UI_IMPORT_ERROR_PROFESSIONS = "Your professions have changed, which affects the optimizations."
L.AMR_UI_IMPORT_ERROR_PROFESSIONS_GOTO = "You will need to make sure your in-game professions match the professions on AskMrRobot.com when importing."
L.AMR_UI_IMPORT_ERROR_SPEC = "WARNING! Please check your character before proceeding:"
L.AMR_UI_IMPORT_ERROR_SPEC_CHANGE = "Change your spec to %s."
L.AMR_UI_IMPORT_ERROR_SPEC_UNEXPECTED = "AskMrRobot.com did not expect to see a specialization."
--createImportDetailsErrorTab
L.AMR_UI_IMPORT_ERROR_NO_IMPORT = 'You have no optimizations imported. Click the |c00ffd100Load|r tab to get started.'
L.AMR_UI_IMPORT_ERROR_CANT_OPTIMIZE = "I can't optimize yet. Please go to the summary tab for more information."

L.AMR_UI_BUTTON_IMPORT = "Load"
L.AMR_UI_BUTTON_SUMMARY = "Summary"
L.AMR_UI_BUTTON_GEMS = "Gems"
L.AMR_UI_BUTTON_ENCHANTS = "Enchants"
L.AMR_UI_BUTTON_SHOPPING_LIST = "Shopping List"
L.AMR_UI_BUTTON_COMBAT_LOG = "Combat Log"
L.AMR_UI_BUTTON_HELP = "Help"
--AskMrRobot.lua
--eventListener:OnEvent
L.AMR_ON_EVENT_LOADED = "Loaded Ask Mr. Robot v%s"
L.AMR_ON_EVENT_TOOLTIP = "Left Click to open the Ask Mr. Robot window.\n\nShift + Left Click to export your bag and bank data.\n\nCtrl + Left Click to mark a fight as a wipe."

--config.lua
--frame:SetScript
L.AMR_CONFIG_EXIMPORT = "Mr. Robot's addon can export your item information to his website, and import your optimizations into the game."
L.AMR_CONFIG_CHECKBOX_MINIMAP_LABEL = "Show minimap icon"
L.AMR_CONFIG_CHECKBOX_MINIMAP_TOOLTIP_TITLE = "Minimap Icon"
L.AMR_CONFIG_CHECKBOX_MINIMAP_DESCRIPTION =  "Show the Ask Mr. Robot minimap icon."
L.AMR_CONFIG_CHECKBOX_AUTOREFORGE_LABEL = "Automatically show Mr. Robot's reforge window at the reforger"
L.AMR_CONFIG_CHECKBOX_AUTOREFORGE_TOOLTIP_TITLE = "Auto-Show Reforges"
L.AMR_CONFIG_CHECKBOX_AUTOREFORGE_DESCRIPTION =  "When you have suggested reforges left to complete, automatically show Mr. Robot's reforge window when you visit a reforger."
L.AMR_CONFIG_CHECKBOX_AUTOAH_LABEL = "Automatically show Mr. Robot's shopping list at the auction house"
L.AMR_CONFIG_CHECKBOX_AUTOAH_TOOLTIP_TITLE = "Auto-Show Shopping List"
L.AMR_CONFIG_CHECKBOX_AUTOAH_DESCRIPTION = "When your shopping list still has things left to buy, automatically show Mr. Robot's shopping list when you visit the auction house."
L.AMR_CONFIG_CHECKBOX_AUTOLOG_LABEL = "Automatically turn on combat logging for Siege of Orgrimmar"
L.AMR_CONFIG_CHECKBOX_AUTOLOG_TOOLTIP_TITLE = "Automatically Log Siege of Orgrimmar"
L.AMR_CONFIG_CHECKBOX_AUTOLOG_DESCRIPTION = "When entering Siege of Orgrimmar, combat logging will be turned on.  When leaving Siege of Orgrimmar, combat logging will be turned off."
--enchants.lua
--enchantNames
L.AMR_ENCHANTS_BELT_BUCKLE = "Belt Buckle"
L.AMR_ENCHANTS_FROSTBRAND = "Frostbrand"
L.AMR_ENCHANTS_FLAMETONGUE = "Flametongue"
L.AMR_ENCHANTS_DAMAGE = "Damage"
L.AMR_ENCHANTS_SHARPENED = "Sharpened"
L.AMR_ENCHANTS_WEIGHTED = "Weighted"
L.AMR_ENCHANTS_ARMOR = "Armor"
L.AMR_ENCHANTS_MANA = "Mana"
L.AMR_ENCHANTS_SHADOW_OIL = "Shadow Oil"
L.AMR_ENCHANTS_FROST_OIL = "Frost Oil"
L.AMR_ENCHANTS_SUNDERED = "Sundered"
L.AMR_ENCHANTS_ALL_RESISTANCES = "All Resistances"
L.AMR_ENCHANTS_SCOPE = "Scope"
L.AMR_ENCHANTS_BEASTSLAYING = "Beastslaying"
L.AMR_ENCHANTS_HASTE = "Haste"
L.AMR_ENCHANTS_FIERY_BLAZE = "Enchant: Fiery Blaze"
L.AMR_ENCHANTS_STEEL_WPNCHAIN = "Steel Weapon Chain"
L.AMR_ENCHANTS_DODGE = "Dodge"
L.AMR_ENCHANTS_HEALTH = "Health"
L.AMR_ENCHANTS_MAX_HEALTH = "Maximum Health"
L.AMR_ENCHANTS_IRON_SPIKE = "Iron Spike (8-12)"
L.AMR_ENCHANTS_THORIUM_SPIKE = "Thorium Spike (20-30)"
L.AMR_ENCHANTS_FELSTEEL_SPIKE = "Felsteel Spike (26-38)"
L.AMR_ENCHANTS_TITANIUM_SPIKE = "Titanium Spike (45-67)"
L.AMR_ENCHANTS_ELEMENTIUM_SPIKE = "Elementium Spike (90-133)"
L.AMR_ENCHANTS_PYRIUM_SPIKE = "Pyrium Spike (210-350)"
L.AMR_ENCHANTS_GHOSTIRON_SPIKE = "Ghost Iron Spike (600-1000)"
L.AMR_ENCHANTS_ABSORPTION = "Absorption"
L.AMR_ENCHANTS_SPIRIT = "Spirit"
L.AMR_ENCHANTS_STR = "Str"
L.AMR_ENCHANTS_STAM = "Stam"
L.AMR_ENCHANTS_AGI = "Agi"
L.AMR_ENCHANTS_INT = "Int"
L.AMR_ENCHANTS_CRIT = "Crit"
L.AMR_ENCHANTS_EXP = "Exp"
L.AMR_ENCHANTS_PARRY = "Parry"
L.AMR_ENCHANTS_HIT = "Hit"
L.AMR_ENCHANTS_AP = "AP"
L.AMR_ENCHANTS_RESIL = "Resil"
L.AMR_ENCHANTS_MASTERY = "Mastery"
L.AMR_ENCHANTS_PVP_POW = "PvP Pow"
L.AMR_ENCHANTS_BLOCK = "Block"
L.AMR_ENCHANTS_SWORD_SKILL = "Sword Skill"
L.AMR_ENCHANTS_SWORD_SKILL_2H = "Two-Handed Sword Skill"
L.AMR_ENCHANTS_MACE_SKILL = "Mace Skill"
L.AMR_ENCHANTS_MACE_SKILL_2H = "Two-Handed Mace Skill"
L.AMR_ENCHANTS_AXE_SKILL = "Axe Skill"
L.AMR_ENCHANTS_AXE_SKILL_2H = "Two-Handed Axe Skill"
L.AMR_ENCHANTS_DAGGER_SKILL = "Dagger Skill"
L.AMR_ENCHANTS_GUN_SKILL = "Gun Skill"
L.AMR_ENCHANTS_BOW_SKILL = "Bow Skill"
L.AMR_ENCHANTS_BEAST_SLAYING = "Beast Slaying"
L.AMR_ENCHANTS_ON_GET_HIT_SBOLT = "On Get Hit: Shadow Bolt"
L.AMR_ENCHANTS_SP = "SP"
L.AMR_ENCHANTS_FIRE_SPELL_DAMAGE = "Fire Spell Damage"
L.AMR_ENCHANTS_HOLY_SPELL_DAMAGE = "Holy Spell Damage"
L.AMR_ENCHANTS_FROST_SPELL_DAMAGE = "Frost Spell Damage"
L.AMR_ENCHANTS_NATURE_SPELL_DAMAGE = "Nature Spell Damage"
L.AMR_ENCHANTS_SHADOW_SPELL_DAMAGE = "Shadow Spell Damage"
L.AMR_ENCHANTS_ARCANE_SPELL_DAMAGE = "Arcane Spell Damage"
L.AMR_ENCHANTS_WEAPON_DAMAGE = "Weapon Damage"
L.AMR_ENCHANTS_FIRE_RESISTANCE = "Fire Resistance"
L.AMR_ENCHANTS_FROST_RESISTANCE = "Frost Resistance"
L.AMR_ENCHANTS_SHADOW_RESISTANCE = "Shadow Resistance"
L.AMR_ENCHANTS_NATURE_RESISTANCE = "Nature Resistance"
L.AMR_ENCHANTS_ARCANE_RESISTANCE = "Arcane Resistance"
L.AMR_ENCHANTS_ALL_STATS = "All Stats"
L.AMR_ENCHANTS_RUN_SPEED = "Run Speed"
L.AMR_ENCHANTS_RESIST_ALL = "Resist All"
L.AMR_ENCHANTS_FISHING_LURE = "Fishing Lure"
L.AMR_ENCHANTS_FISHING_SKILL = "Fisching Skill"
L.AMR_ENCHANTS_WINDFURY = "Windfury"
L.AMR_ENCHANTS_WEAPON_FIRE_DMG = "Weapon Fire Damage"
L.AMR_ENCHANTS_ORB_OF_FIRE = "Orb of Fire"
L.AMR_ENCHANTS_BLACK_TEMPLE_DUMMY = "Black Temple Dummy"
L.AMR_ENCHANTS_MITHRIL_SPIKE = "Mithril Spike (16-20)"
L.AMR_ENCHANTS_MOUNT_SPEED = "Mount Speed"
L.AMR_ENCHANTS_STEALTH = "Stealth"
L.AMR_ENCHANTS_SCHIELD_BLOCK = "Shield Block"
L.AMR_ENCHANTS_FIERY_WEAPON = "Fiery Weapon"
L.AMR_ENCHANTS_MINING = "Mining"
L.AMR_ENCHANTS_HERBALISM = "Herbalism"
L.AMR_ENCHANTS_SKINNING = "Skinning"
L.AMR_ENCHANTS_FISHING = "Fishing"
L.AMR_ENCHANTS_OMEN_OF_CLARITY = "Omen of Clarity"
L.AMR_ENCHANTS_MHTEST02 = "MHTest02"
L.AMR_ENCHANTS_COLD_BLOOD = "Cold Blood"
L.AMR_ENCHANTS_FIRESTONE_1 = "Firestone 1"
L.AMR_ENCHANTS_FIRESTONE_2 = "Firestone 2"
L.AMR_ENCHANTS_FIRESTONE_3 = "Firestone 3"
L.AMR_ENCHANTS_FIRESTONE_4 = "Firestone 4"
L.AMR_ENCHANTS_FIRESTONE_5 = "Firestone 5"
L.AMR_ENCHANTS_FIRESTONE_MASTER = "Master Firestone"
L.AMR_ENCHANTS_FIRESTONE = "Firestone"
L.AMR_ENCHANTS_FIRESTONE_GREATER = "Greater Firestone"
L.AMR_ENCHANTS_FIRESTONE_MAJOR = "Major Firestone"
L.AMR_ENCHANTS_FIRESTONE_FEL = "Fel Firestone"
L.AMR_ENCHANTS_FIRESTONE_GRAND = "Grand Firestone"
L.AMR_ENCHANTS_SPELLSTONE = "Spellstone"
L.AMR_ENCHANTS_SPELLSTONE_GREATER = "Greater Spellstone"
L.AMR_ENCHANTS_SPELLSTONE_MAJOR = "Major Spellstone"
L.AMR_ENCHANTS_SPELLSTONE_MASTER = "Master Spellstone"
L.AMR_ENCHANTS_SPELLSTONE_DEMONIC = "Demonic Spellstone"
L.AMR_ENCHANTS_SPELLSTONE_GRAND = "Grand Spellstone"
L.AMR_ENCHANTS_ICY_CHILL = "Icy Chill"
L.AMR_ENCHANTS_LIFESTEALING = "Lifestealing"
L.AMR_ENCHANTS_UNHOLY_WEAPON = "Unholy Weapon"
L.AMR_ENCHANTS_CRUSADER = "Crusader"
L.AMR_ENCHANTS_BLOCK_LEVEL = "Block Level"
L.AMR_ENCHANTS_RANGED_ATTACK_POWER = "Ranged Attack Power"
L.AMR_ENCHANTS_MANA_EVERY_5_SEC = "mana every 5 sec."
L.AMR_ENCHANTS_HEALTH_EVERY_5_SEC = "health every 5 sec."
L.AMR_ENCHANTS_MELEE_CRIT_STRIKE = "Melee Critical Strike"
L.AMR_ENCHANTS_ZZOLDBLANK = "zzOLDBlank"
L.AMR_ENCHANTS_THREAT = "Threat"
L.AMR_ENCHANTS_SHADOW_SPELL_POWER = "Shadow Spell Power"
L.AMR_ENCHANTS_FROST_SPELL_POWER = "Frost Spell Power"
L.AMR_ENCHANTS_FIRE_SPELL_POWER = "Fire Spell Power"
L.AMR_ENCHANTS_REDUCED_THREAT = "Reduced Threat"
L.AMR_ENCHANTS_WIZARD_OIL_MINOR = "Minor Wizard Oil"
L.AMR_ENCHANTS_WIZARD_OIL_LESSER = "Lesser Wizard Oil"
L.AMR_ENCHANTS_WIZARD_OIL = "Wizard Oil"
L.AMR_ENCHANTS_WIZARD_OIL_BRILLIANT = "Brilliant Wizard Oil"
L.AMR_ENCHANTS_WIZARD_OIL_SUPERIOR = "Superior Wizard Oil"
L.AMR_ENCHANTS_WIZARD_OIL_EXCEPTIONAL = "Exceptional Wizard Oil"
L.AMR_ENCHANTS_MANA_OIL_MINOR = "Minor Mana Oil"
L.AMR_ENCHANTS_MANA_OIL_LESSER = "Lesser Mana Oil"
L.AMR_ENCHANTS_MANA_OIL_BRILLIANT = "Brilliant Mana Oil"
L.AMR_ENCHANTS_MANA_OIL_SUPERIOR = "Superior Mana Oil"
L.AMR_ENCHANTS_MANA_OIL_EXCEPTIONAL = "Exceptional Mana Oil"
L.AMR_ENCHANTS_ELEMENTAL_SLAYER = "Elemental Slayer"
L.AMR_ENCHANTS_DEMONSLAYING = "Demonslaying"
L.AMR_ENCHANTS_VENOMHIDE_POISON = "Venomhide Poison"
L.AMR_ENCHANTS_ARCANE_FIRE_SPELL_POWER = "Arcane and Fire Spell Power"
L.AMR_ENCHANTS_SHADOW_FROST_SPELL_POWER = "Shadow and Frost Spell Power"
L.AMR_ENCHANTS_MONGOOSE = "Mongoose"
L.AMR_ENCHANTS_SPELLSURGE = "Spellsurge"
L.AMR_ENCHANTS_BATTLEMASTER = "Battlemaster"
L.AMR_ENCHANTS_AP_VS_UNDEAD = "Attack Power vs Undead"
L.AMR_ENCHANTS_SP_VS_UNDEAD = "Spell Power vs Undead"
L.AMR_ENCHANTS_AGI_PER_GEM = "Agility per different colored gem"
L.AMR_ENCHANTS_STR_4_BLUE_GEMS = "Strength if 4 blue gems equipped"
L.AMR_ENCHANTS_LESSER_RUNE_WARDING = "Lesser Rune of Warding"
L.AMR_ENCHANTS_GREATER_RUNE_WARDING = "Greater Rune of Warding"
L.AMR_ENCHANTS_LESSER_WARD_SHIELDING = "Lesser Ward of Shielding"
L.AMR_ENCHANTS_GREATER_WARD_SHIELDING = "Greater Ward of Shielding"
L.AMR_ENCHANTS_ZZOLDLESSER_RUNE_WARDING = "ZZOLDLesser Rune of Warding"
L.AMR_ENCHANTS_COMFORT_INSOLES = "Comfortable Insoles"
L.AMR_ENCHANTS_ARCANE_DAMAGE = "Arcane Damage"
L.AMR_ENCHANTS_FIRE_DAMAGE = "Fire Damage"
L.AMR_ENCHANTS_NATURE_DAMAGE = "Nature Damage"
L.AMR_ENCHANTS_FROST_DAMAGE = "Frost Damage"
L.AMR_ENCHANTS_SHADOW_DAMAGE = "Shadow Damage"
L.AMR_ENCHANTS_HEALING = "Healing"
L.AMR_ENCHANTS_BLOODY_DANCING_STEEL = "Bloody Dancing Steel"
L.AMR_ENCHANTS_TYRANNY = "Tyranny"
L.AMR_ENCHANTS_SOCKET_BELT = "Socket Belt"
L.AMR_ENCHANTS_USE_WALK_ON_WATER = "Use: Allows you to walk on water and increases swim speed for up to 6 sec. (30 Sec Cooldown)"
L.AMR_ENCHANTS_BREATH_AGILE_PRINCE = "Breath of the Agile Prince"
L.AMR_ENCHANTS_USE_REDUCE_FALLING_SPEED_10SEC = "Use: Reduce your fall speed for 10 sec.  (5 Min Cooldown) (5 Min Cooldown)"
L.AMR_ENCHANTS_USE_REDUCE_FALLING_SPEED_30SEC = "Use: Reduces your falling speed for 30 sec. (1 Min Cooldown)"
L.AMR_ENCHANTS_USE_REDUCE_FALLING_SPEED_2MIN = "Use: Reduces your falling speed for 2 min. (3 Min Cooldown)"
L.AMR_ENCHANTS_USE_INCREASE_INT_AGI_STR_480 = "Use: Increases your Intellect, Agility, or Strength by 480 for 10 sec.  Your highest stat is always chosen. (1 Min Cooldown)"
L.AMR_ENCHANTS_USE_INCREASE_INT_AGI_STR_1920 = "Use: Increases your Intellect, Agility, or Strength by 1,920 for 10 sec.  Your highest stat is always chosen. (1 Min Cooldown)"
L.AMR_ENCHANTS_SWORDGUARD_EMBROIDERY = "Swordguard Embroidery"
L.AMR_ENCHANTS_SWORDGUARD_1 = "Swordguard 1"
L.AMR_ENCHANTS_SWORDGUARD_2 = "Swordguard 2"
L.AMR_ENCHANTS_SWORDGUARD_3 = "Swordguard 3"
L.AMR_ENCHANTS_DARKGLOW_1 = "Darkglow 1"
L.AMR_ENCHANTS_DARKGLOW_2 = "Darkglow 2"
L.AMR_ENCHANTS_DARKGLOW_3 = "Darkglow 3"
L.AMR_ENCHANTS_LIGHTWEAVE_1 = "Lightweave 1"
L.AMR_ENCHANTS_LIGHTWEAVE_2 = "Lightweave 2"
L.AMR_ENCHANTS_LIGHTWEAVE_3 = "Lightweave 3"
L.AMR_ENCHANTS_PANDAREN_FISHING_LURE = "Pandaren Fishing Lure"
L.AMR_ENCHANTS_MAGIC_WEAPON = "Magic Weapon"
L.AMR_ENCHANTS_USE_MYTHICAL_HEALING_POTION = "Use: Injects a Mythical Healing Potion directly into your bloodstream, increasing potency and healing you for 30,000. (1 Min Cooldown)"
L.AMR_ENCHANTS_PLACEHOLDER_SHOULDER = "Placeholder Shoulder Enchant"
L.AMR_ENCHANTS_PANDEMONIUM = "Pandamonium"
L.AMR_ENCHANTS_MIRROR_SCOPE = "Mirror Scope"
L.AMR_ENCHANTS_BLASTINGTON = "Blastington's"
L.AMR_ENCHANTS_USE_EXPLOSIVE_FIREWORKS = "Use: Launches a cluster of highly explosive fireworks that detonate on impact for 14,000 Fire damage over 3 sec. (45 Sec Cooldown)"
L.AMR_ENCHANTS_USE_DODGE = "Use: Increases your dodge by 480 for 10 sec. (1 Min Cooldown)"
L.AMR_ENCHANTS_SAMURAI = "Samurai"
L.AMR_ENCHANTS_RIVERS_SONG = "River's Song"
L.AMR_ENCHANTS_COLOSSUS = "Colossus"
L.AMR_ENCHANTS_DANCING_STEEL = "Dancing Steel"
L.AMR_ENCHANTS_ELEMENTAL_FORCE = "Elemental Force"
L.AMR_ENCHANTS_JADE_SPIRIT = "Jade Spirit"
L.AMR_ENCHANTS_WINDSONG = "Windsong"
L.AMR_ENCHANTS_FLINTLOCKE = "Flintlocke's"
L.AMR_ENCHANTS_USE_RUN_SPEED = "Use: Greatly increase your run speed for 5 sec. (3 Min Cooldown)"
L.AMR_ENCHANTS_USE_MENTAL_COMBAT = "Use: Engage in mental combat with a humanoid target in an attempt to pacify or control them. (10 Min Cooldown)"
L.AMR_ENCHANTS_USE_CARDBOARD_ASSASSIN = "Use: Summons a Cardboard Assassin to draw the attention of enemies. (5 Min Cooldown)"
L.AMR_ENCHANTS_USE_SHIELD_OF_FORCE = "Use: Protects you with a shield of force that stops 18,000 damage for 8 sec.  The strong magnetic field sometimes has strange side effects... (5 Min Cooldown)"
L.AMR_ENCHANTS_USE_PERSONAL_INVISIBILITY_FIELD = "Use: Activates a personal invisibility field.  Cannot be used in combat. (3 Min Cooldown)"
L.AMR_ENCHANTS_USE_ELECTRIC_BALL = "Use: Fires an electrified ball at an enemy for 4,800 Nature damage. (2 Min Cooldown)"
L.AMR_ENCHANTS_USE_INCREASE_ARMOR_700 = "Use: Increases your armor by 700 for 14 sec. (1 Min Cooldown)"
L.AMR_ENCHANTS_USE_INCREASE_ARMOR_1500 = "Use: Increases your armor by 1,500 for 13 sec. (1 Min Cooldown)"
L.AMR_ENCHANTS_GNOMISH_XRAY = "Gnomish X-Ray"
L.AMR_ENCHANTS_LANDSLIDE = "Landslide"
L.AMR_ENCHANTS_WINDWALK = "Windwalk"
L.AMR_ENCHANTS_POWER_TORRENT = "Power Torrent"
L.AMR_ENCHANTS_HEARTSONG = "Heartsong"
L.AMR_ENCHANTS_HURRICANE = "Hurricane"
L.AMR_ENCHANTS_AVALANCHE = "Avalanche"
L.AMR_ENCHANTS_MENDING = "Mending"
L.AMR_ENCHANTS_NERUBIAN_CARAPACE = "Nerubian Carapace"
L.AMR_ENCHANTS_BLOOD_DRAINING = "Blood Draining"
L.AMR_ENCHANTS_BLADE_WARD = "Blade Ward"
L.AMR_ENCHANTS_TITANIUM_PLATING = "Titanium Plating"
L.AMR_ENCHANTS_SOCKET_STAFF = "Socket Staff"
L.AMR_ENCHANTS_STONESKIN_GARGOYLE = "Stoneskin Gargoyle"
L.AMR_ENCHANTS_BERSERKING = "Berserking"
L.AMR_ENCHANTS_BLACK_MAGIC = "Black Magic"
L.AMR_ENCHANTS_SOCKET_GLOVES = "Socket Gloves"
L.AMR_ENCHANTS_SOCKET_BRACERS = "Socket Bracer"
L.AMR_ENCHANTS_CHANCE_INCREASE_MELEE_RANGED_ASPEED = "Chance to Increase Melee/Ranged Attack Speed"
L.AMR_ENCHANTS_SWORDBREAKING = "Swordbreaking"
L.AMR_ENCHANTS_SPELLBREAKING = "Spellbreaking"
L.AMR_ENCHANTS_USE_STUN_MECH_UNITS_1MIN = "Use: Stuns all nearby Mechanical units for 3 sec. (1 Min Cooldown)"
L.AMR_ENCHANTS_USE_THERMAL_GRENADE = "Use: Detatch and throw a thermal grenade, inflicting 10,000 Fire damage and incapacitating targets for 3 sec in a 3 yard radius.  Any damage will break the effect. (1 Min Cooldown)"
L.AMR_ENCHANTS_USE_EXPLOSIVE_ROCKET = "Use: Fires an explosive rocket at an enemy for 1,165 Fire damage. (45 Sec Cooldown)"
L.AMR_ENCHANTS_USE_INCREASE_HASTE_240 = "Use: Increases your haste by 240 for 12 sec. (1 Min Cooldown)"
L.AMR_ENCHANTS_CHANCE_INCREASE_SPELL_CAST_SPEED = "Chance to Increase Spell Cast Speed"
L.AMR_ENCHANTS_MELEEDMG_STUN_TARGET = "Melee Damage and Chance to Stun Target"
L.AMR_ENCHANTS_BLOCK_VALUE = "Block Value"
L.AMR_ENCHANTS_GEM_TEST = "gem test enchantment"
L.AMR_ENCHANTS_ROCKBITER = "Rockbiter"
L.AMR_ENCHANTS_AP_VS_UNDEAD_DEMONS = "Attack Power vs Undead and Demons"
L.AMR_ENCHANTS_POISON = "Poison"
L.AMR_ENCHANTS_ADAMANTITE_WEAPON_CHAIN = "Adamantite Weapon Chain"
L.AMR_ENCHANTS_EXECUTIONER = "Executioner"
L.AMR_ENCHANTS_GATHERER = "Gatherer"
L.AMR_ENCHANTS_ICEBREAKER_WEAPON = "Icebreaker Weapon"
L.AMR_ENCHANTS_LIFEWARD = "Lifeward"
L.AMR_ENCHANTS_ICEWALKER = "Icewalker"
L.AMR_ENCHANTS_GIANTSLAYING = "Giantslaying"
L.AMR_ENCHANTS_BLESSED_WEAPON_COATING = "Blessed Weapon Coating"
L.AMR_ENCHANTS_RIGHTEOUS_WEAPON_COATING = "Righteous Weapon Coating"
L.AMR_ENCHANTS_DEATHFROST = "Deathfrost"
L.AMR_ENCHANTS_TEST_RIDING_CROP = "Test Riding Crop Enchant"
L.AMR_ENCHANTS_TEST_ADD_SOCKETS_ENCHANT = "Test Add Sockets Enchant"
L.AMR_ENCHANTS_TEST_SKILL_REQ_ENCHANT = "Test Skill Req Enchant"
L.AMR_ENCHANTS_FROZEN_RUNE_WPN = "Frozen Rune Weapon"
L.AMR_ENCHANTS_FROZEN_RUNE_WPN_2 = "Frozen Rune Weapon 2"
L.AMR_ENCHANTS_FROZEN_RUNE_WPN_3 = "Frozen Rune Weapon 3"
L.AMR_ENCHANTS_FROZEN_RUNE_WPN_4 = "Frozen Rune Weapon 4"
L.AMR_ENCHANTS_FROZEN_RUNE_WPN_5 = "Frozen Rune Weapon 5"
L.AMR_ENCHANTS_QA_TEST_BLANK_PURPLE_GEM = "QA Test Blank Purple Gem Enchant"
L.AMR_ENCHANTS_NORTHREND_FLIGHT = "Northrend Flight"
L.AMR_ENCHANTS_EARTHLIVING = "Earthliving"
L.AMR_ENCHANTS_EMPOWER_RUNE_WPN = "Empower Rune Weapon"
L.AMR_ENCHANTS_SWORDSHATTERING = "Swordshattering"
L.AMR_ENCHANTS_LICHBANE = "Lichbane"
L.AMR_ENCHANTS_SPELLSHATTERING = "Spellshattering"
L.AMR_ENCHANTS_FALLEN_CRUSADER = "Fallen Crusader"
L.AMR_ENCHANTS_CINDERGLACIER = "Cinderglacier"
L.AMR_ENCHANTS_RAZORICE = "Razorice"
--gems.lua
--alternateGemName
L.AMR_GEMS_INT = "Int"
L.AMR_GEMS_STR = "Str"
L.AMR_GEMS_AGI = "Agi"
L.AMR_GEMS_CRIT = "Crit"
L.AMR_GEMS_HASTE = "Haste"
L.AMR_GEMS_HIT = "Hit"
L.AMR_GEMS_PVP_POW = "PvP Pow"
L.AMR_GEMS_STAM = "Stam"
L.AMR_GEMS_DODGE = "Dodge"
L.AMR_GEMS_SPIRIT = "Spirit"
L.AMR_GEMS_PARRY = "Parry"
L.AMR_GEMS_RESIL = "Resil"
L.AMR_GEMS_EXP = "Exp"
L.ARMS_GEM_MASTERY = "Mastery"
L.AMR_GEMS_CRIT_EFF = "Crit Efct"
L.AMR_GEMS_BLOCK = "Block"
L.AMR_GEMS_MANA = "Mana"
L.AMR_GEMS_REFLECT = "Reflect"
L.AMR_GEMS_SNARE = "Snare"
L.AMR_GEMS_SILENCE = "Silence"
L.AMR_GEMS_ARMOR = "Armor"
L.AMR_GEMS_FEAR = "Fear"
L.AMR_GEMS_THREAT = "Threat"
L.AMR_GEMS_RUN_SPEED = "Run Speed"
L.AMR_GEMS_INDOMITABLE = "Indomitable"
L.AMR_GEMS_COURAGEOUS = "Courageous"
L.AMR_GEMS_CAPACITIV = "Capacitive"
L.AMR_GEMS_SINISTER = "Sinister"
L.AMR_GEMS_STUN = "Stun"
--autoGemHelper
L.AMR_GEMS_NOT_ENOUGH_SOCKETS = 'Ask Mr Robot: Something is wrong.  There are not enough sockets on this item.'
--wait.lua
--wait
L.AMR_WAIT_BAD_ARGUMENTS = "Bad Arguments to amr__wait"
--dir ui
--ui/CombatLogTab.lua
L.AMR_COMBATLOGTAB_COMBAT_LOGGING = "Combat Logging"
L.AMR_COMBATLOGTAB_START_LOGGING = "Start Logging"
L.AMR_COMBATLOGTAB_CURRENTLY_LOGGING = "|c0000ff00Currently Logging|r"
L.AMR_COMBATLOGTAB_STOP_LOGGING = "Stop Logging"
L.AMR_COMBATLOGTAB_CHECKBOX_AUTOLOG_SOO_LABEL = "Always log Siege of Orgrimmar"
L.AMR_COMBATLOGTAB_CHECKBOX_AUTOLOG_SOO_TOOLTIP_TITLE = "Auto-Log Siege of Orgrimmar"
L.AMR_COMBATLOGTAB_CHECKBOX_AUTOLOG_SOO_DESCRIPTION =  "Automatically start logging when you enter SoO and stop when you leave SoO.\n\nNote that you should disable similar features in other addons to avoid conflicts."
L.AMR_COMBATLOGTAB_AUTOMATIC = "Automatic:"
L.AMR_COMBATLOGTAB_HEADLINE_OVER_BUTTON = "Save Characters"
L.AMR_COMBATLOGTAB_SAVE_CHARACTER = "Save Character Data"
L.AMR_COMBATLOGTAB_INSTRUCTIONS = "INSTRUCTIONS"
L.AMR_COMBATLOGTAB_INSTRUCTIONS_1 = "1. Use the Start/Stop buttons or check 'Always log Siege of Orgrimmar'."
L.AMR_COMBATLOGTAB_INSTRUCTIONS_2 = "2. When you are ready to upload, press 'Save Character Data'. *"
L.AMR_COMBATLOGTAB_INSTRUCTIONS_3 = "3. Exit World of Warcraft. **"
L.AMR_COMBATLOGTAB_INSTRUCTIONS_4 = "4. Launch the Ask Mr. Robot client and follow the instructions. ***"
L.AMR_COMBATLOGTAB_INSTRUCTIONS_5 = "|c00999999* This will reload your UI to ensure that all collected data is saved to disk.  This step is not necessary if you log out of the game before uploading.|r"
L.AMR_COMBATLOGTAB_INSTRUCTIONS_6 = "|c00999999** Exiting WoW before uploading your combat log is optional, but highly recommended.  This prevents your log file from getting ridiculously large and slowing down your uploads.|r"
L.AMR_COMBATLOGTAB_INSTRUCTIONS_7 = "|c00999999*** You can download the client program at|r |c003333ffhttp://www.askmrrobot.com/wow/combatlog/upload|r|c00999999.|r"
L.AMR_COMBATLOGTAB_IS_LOGGING = "You are now logging combat, and Mr. Robot is logging character data for your raid."
L.AMR_COMBATLOGTAB_STOPPED_LOGGING = "Combat logging has been stopped."
L.AMR_COMBATLOGTAB_INFIGHT = "In-Fight Options"
L.AMR_COMBATLOGTAB_WIPE_1 = "|c00aaaaaaDeclare a wipe |r|c00ffffffbefore|r|c00aaaaaa you die on purpose.|r"
L.AMR_COMBATLOGTAB_WIPE_2 = "|c00aaaaaaThis will ignore intentional deaths & damage.|r"
L.AMR_COMBATLOGTAB_WIPE_3 = "|c00999999This feature must be used by the person logging combat.|r"
L.AMR_COMBATLOGTAB_SAVE_CHARACTER_INFO = "While you are logging combat, character & gear data is collected for everyone in the raid who has this mod installed.  At the end of the raid, the person logging needs to click the button to save the data so it can be uploaded."
L.AMR_COMBATLOGTAB_LASTWIPE = '|c00ff0000Last wipe called on %s at %s.|r'
L.AMR_COMBATLOGTAB_WIPE_CHAT = "It's a wipe, everybody die!"
L.AMR_COMBATLOGTAB_WIPE_MSG = "[AskMrRobot] Manual wipe called at %s"
L.AMR_COMBATLOGTAB_NOWIPES = '[AskMrRobot] There is no recent manual wipe to remove'
L.AMR_COMBATLOGTAB_UNWIPE_MSG = "[AskMrRobot] Manual wipe at %s was removed"
--ui/EnchantTab.lua
L.AMR_ENCHANTTAB_ENCHANTS = "Enchants"
L.AMR_ENCHANTTAB_100_OPTIMAL = "Your enchants are 100% optimal!"
L.AMR_ENCHANTTAB_SLOT = "Slot"
L.AMR_ENCHANTTAB_CURRENT = "Current"
L.AMR_ENCHANTTAB_OPTIMIZED = "Optimized"
L.AMR_ENCHANTTAB_TESTSLOT = "TestSlot"
L.AMR_ENCHANTTAB_NOTE = "Hit and expertise have been removed from gear, gems and enchants. If you had hit or expertise anywhere, it has automatically been replaced with another stat."
--ui/ExportTab.lua
L.AMR_EXPORTTAB_EXPORT_TITLE = "Export your character to AskMrRobot.com"
L.AMR_EXPORTTAB_COPY_PASTE_EXPORT_1 = "1. Open your bank"
L.AMR_EXPORTTAB_COPY_PASTE_EXPORT_2 = "2. Copy the text below by pressing Ctrl+C (or Cmd+C on a Mac)"
L.AMR_EXPORTTAB_COPY_PASTE_EXPORT_3 = "3. Go to |c00ffd100AskMrRobot.com|r and click the green '|c0000ff00Import from Addon|r' button found just above your character name.  Paste the text into the window that pops up."
L.AMR_EXPORTTAB_COPY_PASTE_EXPORT_NOTE = "NOTE: If you change something while this window is open, press the Update button below to generate a new export string."

--ui/GemTab.lua
--popup autogem finished
L.AMR_GEMTAB_FINISHED = "Mr. Robot finished auto-gemming. \rIf some items aren't gemmed, you may need to acquire more gems. \rIf your belt isn't gemmed, you may still need to buy a belt buckle."
L.AMR_GEMTAB_BUTTON_OK = "Ok"
--popup autogem once
L.AMR_GEMTAB_AUTOGEMMING_IN_PROGRESS = "Autogemming already in progress."
--constructor
L.AMR_GEMTAB_GEMS = "Gems"
L.AMR_GEMTAB_OPTIMAL = "Your gems are 100% optimal! You are truly, truly outrageous."
L.AMR_GEMTAB_X_OPTIMIZE = "You have X gems to optimize"
L.AMR_GEMTAB_AUTOGEM_BUTTON = "Auto Gem! (BETA)"
L.AMR_GEMTAB_PREFER_PERFECT = "Prefer Perfect"
L.AMR_GEMTAB_SLOT = "Slot"
L.AMR_GEMTAB_CURRENT = "Current"
L.AMR_GEMTAB_OPTIMIZED = "Optimized"
L.AMR_GEMTAB_NOTE = "Hit and expertise have been removed from gear, gems and enchants. If you had hit or expertise anywhere, it has automatically been replaced with another stat."
--Update
L.AMR_GEMTAB_TO_OPTIMIZE = "You have %d \1244gem:gems; to optimize"
--ui/HelpTab.lua
L.AMR_HELPTAB_TITLE = "Help"
L.AMR_HELPTAB_LINK = "Visit |c003333ffhttp://blog.askmrrobot.com/addon/|r  for a full tutorial and to ask questions.\r"
L.AMR_HELPTAB_Q1 = "|c00999999Q:|r The armory won’t update my character on your website. Is there a workaround?"
L.AMR_HELPTAB_A1 = "|c0066dd66A:|r Yes. Go to the |c00ffd100Export|r section of this addon. Copy the text in the box.  Then go to our |c00ffd100website|r, load your character, and click the green '|c0000ff00Import (from addon)|r' button, found just above your character name.  Paste the text there. That process takes a snapshot of your current in-game character and imports it to the website!"
L.AMR_HELPTAB_Q2 = "|c00999999Q:|r Do I have to get a new text-string every time I need to optimize?"
L.AMR_HELPTAB_A2 = "|c0066dd66A:|r Yes. Go to the |c00ffd100website|r and click the green '|c0000ff00Update from Armory|r' button found just above your character name, to make sure you have updated gear. Optimize your gear and then click the blue '|c0018C0F7Export to Addon|r' button found to the right of your gear, in the purple '|c00BF28D6Now What?|r section.  Return to this |c00ffd100addon|r, go to the '|c00ffd100Load a Gear Set|r' tab and paste the text in the box."
L.AMR_HELPTAB_Q3 = "|c00999999Q:|r Can I send my shopping list to an alt?"
L.AMR_HELPTAB_A3 = '|c0066dd66A:|r Yes, go to the shopping list tab and select the "mail" option in the drop down. You can mail the list to your alt.'
L.AMR_HELPTAB_Q4 = "|c00999999Q:|r I am in the middle of a raid and just won a piece of loot. Can I optimize really quickly?"
L.AMR_HELPTAB_A4 = "|c0066dd66A:|r Yes! You'll want to read the tutorial on that here: \r|c003333ffhttp://blog.askmrrobot.com/addon#raid"
L.AMR_HELPTAB_Q5 = "|c00999999Q:|r Where is auto gemming?"
L.AMR_HELPTAB_A5 = "|c0066dd66A:|r We have temporarily removed it.  We plan to bring it back for WoD"
L.AMR_HELPTAB_Q6 = "|c00999999Q:|r Is Mr. Robot updated?"
L.AMR_HELPTAB_A6 = "|c0066dd66A:|r Yes! For more info, go to \r|c003333ffhttp://blog.askmrrobot.com/2014/10/what-to-do-for-6-0-2/"
--ui/ImportTab.lua
--new
L.AMR_IMPORTTAB_BUTTON = "Load Gear"
L.AMR_IMPORTTAB_TITLE = "Load a gear set from the website"
L.AMR_IMPORTTAB_INSTRUCTIONS_1 = "1. Click the blue '|c0018C0F7Send to Addon|r' button on our |c00BF28D6website|r.  It's found on the right side in the '|c33ffffffNow What?|r' section.  Copy the text in the box that pops up.|n|c00999999To copy, press ctrl + c (or cmd + c on a mac)|r"
L.AMR_IMPORTTAB_INSTRUCTIONS_2 = "2. Then return to this window in the |c00ffd100addon|r.  Paste the text in the box below, then click the 'Load Gear' button.|n|c00999999To paste, press ctrl + v in the window (or cmd + v on a mac)|r"
L.AMR_IMPORTTAB_EXPORT_INSTRUCTIONS_1 = "1. Select the text in the box below and copy it.|n|c00999999To copy, press ctrl + c (or cmd + c on a mac)|r"
L.AMR_IMPORTTAB_EXPORT_INSTRUCTIONS_2 = "2. Open your character on our |c00ffd100website|r.  Click the green 'import' button found to the left of your characters name.  Paste the text in the box the pops up.|n|c00999999To paste: press ctrl + v (or cmd + v on a mac)|r"
L.AMR_IMPORTTAB_EXPORT_NOTE = "NOTE: if you change something while this window is open, press the Update button below to generate a new export string.  Make sure you’re recently opened your bags & bank so the addon can scan them."
--ui/ShoppingListTab
--popup mail
L.AMR_SHOPPINGLISTTAB_OPEN_MAIL = "You need to open the mail window for this to work"
L.AMR_SHOPPINGLISTTAB_BUTTON_OK = "Ok"
--new
L.AMR_SHOPPINGLISTTAB_TITLE = "Shopping List"
L.AMR_SHOPPINGLISTTAB_BUTTON_SEND = "send it!"
L.AMR_SHOPPINGLISTTAB_ENCHANT_MATERIALS = "Enchant Materials"
L.AMR_SHOPPINGLISTTAB_ENCHANTS = "Enchants"
L.AMR_SHOPPINGLISTTAB_GEMS = "Gems"
L.AMR_SHOPPINGLISTTAB_INCLUDE = "Include:"
L.AMR_SHOPPINGLISTTAB_SEND_LIST_TO = "Send list to"
L.AMR_SHOPPINGLISTTAB_WHISPER_CHANNEL = "Whisper to a friend or send to a channel, like /raid or /guild."
L.AMR_SHOPPINGLISTTAB_SEND_JEWELCRAFT_ENCHANTER = "Send to a Jewelcraft or Enchanter friend :)"
L.AMR_SHOPPINGLISTTAB_TOTAL = "Total"
L.AMR_SHOPPINGLISTTAB_DONE = "YOUR SHOPPING IS ALL DONE!"
L.AMR_SHOPPINGLISTTAB_A_ROBOTS_WISHLIST = "Unless you want to buy me a birthday present! I like titanium bolts and robot dogs... Or was it titanium dogs and robot bolts..."
L.AMR_SHOPPINGLISTTAB_DROPDOWN_FRIEND = "a friend"
L.AMR_SHOPPINGLISTTAB_DROPDOWN_PARTY = "party"
L.AMR_SHOPPINGLISTTAB_DROPDOWN_RAID = "raid"
L.AMR_SHOPPINGLISTTAB_DROPDOWN_GUILD = "guild"
L.AMR_SHOPPINGLISTTAB_DROPDOWN_CHANNEL = "channel"
L.AMR_SHOPPINGLISTTAB_DROPDOWN_MAIL = "mail"
L.AMR_SHOPPINGLISTTAB_MAIL_ROBOT_MESSAGE = "Mr. Robot says I need the following to optimize my gear:\n"
L.AMR_SHOPPINGLISTTAB_MAIL_SUBJECT_GE = 'Request for gems and enchants'
L.AMR_SHOPPINGLISTTAB_MAIL_SUBJECT_G = 'Request for gems'
L.AMR_SHOPPINGLISTTAB_MAIL_SUBJECT_E = 'Request for enchants'
L.AMR_SHOPPINGLISTTAB_CHAT_ROBOT_MESSAGE = "Mr. Robot says I need"
--ui/SummaryTab.lua
L.AMR_SUMMARYTAB_TITLE = "Summary"
L.AMR_SUMMARYTAB_NO_IMPORT = "You have no optimizations imported."
L.AMR_SUMMARYTAB_GET_STARTED = 'Click the |c00ffd100Load|r tab to get started.'
L.AMR_SUMMARYTAB_GO_UPGRADE = "Please upgrade the following items:"
L.AMR_SUMMARYTAB_SLOT = "Slot"
L.AMR_SUMMARYTAB_ITEM_NAME = "Item Name"
L.AMR_SUMMARYTAB_OPTIMAL = "Congratulations! You are 100% optimal"
L.AMR_SUMMARYTAB_LAST_IMPORT = "Last import: ?\rThese optimizations are for ?"
L.AMR_SUMMARYTAB_OPTIMIZATIONS_TO_GO = "You have ? optimizations to make:"
L.AMR_SUMMARYTAB_GEMS_TO_GO = "? gems"
L.AMR_SUMMARYTAB_ENCHANTS_TO_GO = "? enchants"
L.AMR_SUMMARYTAB_REFORGES_TO_GO = "? reforges"
L.AMR_SUMMARYTAB_VIEW_TABS = "View the Gem and Enchant tabs for suggested optimizations."
L.AMR_SUMMARYTAB_GEMCOUNT = "%d \1244gem:gems;"
L.AMR_SUMMARYTAB_ENCHANTCOUNT = "%d \1244enchant:enchants;"
L.AMR_SUMMARYTAB_OPTIMIZATIONCOUNT = "You have %d \1244optimization:optimizations; to make:"
L.AMR_SUMMARYTAB_LAST_IMPORT_1 = "Last import: %s\rThese optimizations are for %s"
L.AMR_SUMMARYTAB_LAST_IMPORT_2 = "Last import: %s\rThese optimizations are for %s's..."
L.AMR_SUMMARYTAB_LAST_IMPORT_PSPEC = "Primary Spec - %s"
L.AMR_SUMMARYTAB_LAST_IMPORT_SSPEC = "Secondary Spec - %s"
L.AMR_SUMMARYTAB_DIFF_REALM = "a different realm: %s"
L.AMR_SUMMARYTAB_DIFF_TALENT = "different talents"
L.AMR_SUMMARYTAB_DIFF_GLYPHS = "different glyphs"
L.AMR_SUMMARYTAB_DIFF_GEAR = "Mr. Robot optimized a different set of gear"
L.AMR_SUMMARYTAB_DIFF_AND = "and"
L.AMR_SUMMARYTAB_DIFF_PLEASE_EQ = ". Please equip the following items before proceeding with the optimizations."
L.AMR_SUMMARYTAB_DIFF_CHECK_CHAR = "WARNING: Please check your character before proceeding:"
L.AMR_SUMMARYTAB_DIFF_OPTIMIZED_FOR = "Mr. Robot optimized for "
--showImportError
L.AMR_SUMMARYTAB_IMPORT_NOT_WORK = 'Error! Your import did not work:|n|n%s'
--ui/RobotStamp.lua
L.AMR_ROBOTSTAMP_TEXT = "ROBOT STAMP OF APPROVAL"
L.AMR_ROBOTSTAMP_GEMS = "Your gems are 100% optimal! You are truly, truly outrageous."